/*--height--*/

.h-100-auto {
    height: auto;
}

.h-100-fit {
    height: fit-content;
}

/*--ps--*/
.h-100-ps {
    height: 100%;
}

.h-95-ps {
    height: 95%;
}

.h-90-ps {
    height: 90%;
}

.h-85-ps {
    height: 85%;
}

.h-80-ps {
    height: 80%;
}

.h-75-ps {
    height: 75%;
}

.h-70-ps {
    height: 70%;
}

.h-65-ps {
    height: 65%;
}

.h-60-ps {
    height: 60%;
}

.h-55-ps {
    height: 55%;
}

.h-50-ps {
    height: 50%;
}

.h-45-ps {
    height: 45%;
}

.h-40-ps {
    height: 40%;
}

.h-35-ps {
    height: 35%;
}

.h-30-ps {
    height: 30%;
}

.h-25-ps {
    height: 25%;
}

.h-20-ps {
    height: 20%;
}

.h-15-ps {
    height: 15%;
}

.h-10-ps {
    height: 10%;
}

.h-0-ps {
    height: 0%;
}

.h-100-ps-min {
    min-height: 100%;
}

.h-95-ps-min {
    min-height: 95%;
}

.h-90-ps-min {
    min-height: 90%;
}

.h-85-ps-min {
    min-height: 85%;
}

.h-80-ps-min {
    min-height: 80%;
}

.h-75-ps-min {
    min-height: 75%;
}

.h-70-ps-min {
    min-height: 70%;
}

.h-65-ps-min {
    min-height: 65%;
}

.h-60-ps-min {
    min-height: 60%;
}

.h-55-ps-min {
    min-height: 55%;
}

.h-50-ps-min {
    min-height: 50%;
}

.h-45-ps-min {
    min-height: 45%;
}

.h-40-ps-min {
    min-height: 40%;
}

.h-35-ps-min {
    min-height: 35%;
}

.h-30-ps-min {
    min-height: 30%;
}

.h-25-ps-min {
    min-height: 25%;
}

.h-20-ps-min {
    min-height: 20%;
}

.h-15-ps-min {
    min-height: 15%;
}

.h-10-ps-min {
    min-height: 10%;
}

.h-0-ps-min {
    min-height: 0%;
}
/*--end--*/

/*--vh--*/
.h-100-vh {
    height: 100vh;
}

.h-95-vh {
    height: 95vh;
}

.h-90-vh {
    height: 90vh;
}

.h-85-vh {
    height: 85vh;
}

.h-80-vh {
    height: 80vh;
}

.h-75-vh {
    height: 75vh;
}

.h-70-vh {
    height: 70vh;
}

.h-65-vh {
    height: 65vh;
}

.h-60-vh {
    height: 60vh;
}

.h-55-vh {
    height: 55vh;
}

.h-50-vh {
    height: 50vh;
}

.h-45-vh {
    height: 45vh;
}

.h-40-vh {
    height: 40vh;
}

.h-35-vh {
    height: 35vh;
}

.h-30-vh {
    height: 30vh;
}

.h-25-vh {
    height: 25vh;
}

.h-20-vh {
    height: 20vh;
}

.h-15-vh {
    height: 15vh;
}

.h-10-vh {
    height: 10vh;
}

.h-0-vh {
    height: 0vh;
}

.h-100-vh-min {
    min-height: 100vh;
}

.h-95-vh-min {
    min-height: 95vh;
}

.h-90-vh-min {
    min-height: 90vh;
}

.h-85-vh-min {
    min-height: 85vh;
}

.h-80-vh-min {
    min-height: 80vh;
}

.h-75-vh-min {
    min-height: 75vh;
}

.h-70-vh-min {
    min-height: 70vh;
}

.h-65-vh-min {
    min-height: 65vh;
}

.h-60-vh-min {
    min-height: 60vh;
}

.h-55-vh-min {
    min-height: 55vh;
}

.h-50-vh-min {
    min-height: 50vh;
}

.h-45-vh-min {
    min-height: 45vh;
}

.h-40-vh-min {
    min-height: 40vh;
}

.h-35-vh-min {
    min-height: 35vh;
}

.h-30-vh-min {
    min-height: 30vh;
}

.h-25-vh-min {
    min-height: 25vh;
}

.h-20-vh-min {
    min-height: 20vh;
}

.h-15-vh-min {
    min-height: 15vh;
}

.h-10-vh-min {
    min-height: 10vh;
}

.h-0-vh-min {
    min-height: 0vh;
}
/*--end--*/

/*--dvh--*/
.h-100-dvh {
    height: 100dvh;
}

.h-95-dvh {
    height: 95dvh;
}

.h-90-dvh {
    height: 90dvh;
}

.h-85-dvh {
    height: 85dvh;
}

.h-80-dvh {
    height: 80dvh;
}

.h-75-dvh {
    height: 75dvh;
}

.h-70-dvh {
    height: 70dvh;
}

.h-65-dvh {
    height: 65dvh;
}

.h-60-dvh {
    height: 60dvh;
}

.h-55-dvh {
    height: 55dvh;
}

.h-50-dvh {
    height: 50dvh;
}

.h-45-dvh {
    height: 45dvh;
}

.h-40-dvh {
    height: 40dvh;
}

.h-35-dvh {
    height: 35dvh;
}

.h-30-dvh {
    height: 30dvh;
}

.h-25-dvh {
    height: 25dvh;
}

.h-20-dvh {
    height: 20dvh;
}

.h-15-dvh {
    height: 15dvh;
}

.h-10-dvh {
    height: 10dvh;
}

.h-0-dvh {
    height: 0dvh;
}

.h-100-dvh-min {
    min-height: 100dvh;
}

.h-95-dvh-min {
    min-height: 95dvh;
}

.h-90-dvh-min {
    min-height: 90dvh;
}

.h-85-dvh-min {
    min-height: 85dvh;
}

.h-80-dvh-min {
    min-height: 80dvh;
}

.h-75-dvh-min {
    min-height: 75dvh;
}

.h-70-dvh-min {
    min-height: 70dvh;
}

.h-65-dvh-min {
    min-height: 65dvh;
}

.h-60-dvh-min {
    min-height: 60dvh;
}

.h-55-dvh-min {
    min-height: 55dvh;
}

.h-50-dvh-min {
    min-height: 50dvh;
}

.h-45-dvh-min {
    min-height: 45dvh;
}

.h-40-dvh-min {
    min-height: 40dvh;
}

.h-35-dvh-min {
    min-height: 35dvh;
}

.h-30-dvh-min {
    min-height: 30dvh;
}

.h-25-dvh-min {
    min-height: 25dvh;
}

.h-20-dvh-min {
    min-height: 20dvh;
}

.h-15-dvh-min {
    min-height: 15dvh;
}

.h-10-dvh-min {
    min-height: 10dvh;
}

.h-0-dvh-min {
    min-height: 0dvh;
}
/*--end--*/

/*--lvh--*/
.h-100-lvh {
    height: 100lvh;
}

.h-95-lvh {
    height: 95lvh;
}

.h-90-lvh {
    height: 90lvh;
}

.h-85-lvh {
    height: 85lvh;
}

.h-80-lvh {
    height: 80lvh;
}

.h-75-lvh {
    height: 75lvh;
}

.h-70-lvh {
    height: 70lvh;
}

.h-65-lvh {
    height: 65lvh;
}

.h-60-lvh {
    height: 60lvh;
}

.h-55-lvh {
    height: 55lvh;
}

.h-50-lvh {
    height: 50lvh;
}

.h-45-lvh {
    height: 45lvh;
}

.h-40-lvh {
    height: 40lvh;
}

.h-35-lvh {
    height: 35lvh;
}

.h-30-lvh {
    height: 30lvh;
}

.h-25-lvh {
    height: 25lvh;
}

.h-20-lvh {
    height: 20lvh;
}

.h-15-lvh {
    height: 15lvh;
}

.h-10-lvh {
    height: 10lvh;
}

.h-0-lvh {
    height: 0lvh;
}

.h-100-lvh-min {
    min-height: 100lvh;
}

.h-95-lvh-min {
    min-height: 95lvh;
}

.h-90-lvh-min {
    min-height: 90lvh;
}

.h-85-lvh-min {
    min-height: 85lvh;
}

.h-80-lvh-min {
    min-height: 80lvh;
}

.h-75-lvh-min {
    min-height: 75lvh;
}

.h-70-lvh-min {
    min-height: 70lvh;
}

.h-65-lvh-min {
    min-height: 65lvh;
}

.h-60-lvh-min {
    min-height: 60lvh;
}

.h-55-lvh-min {
    min-height: 55lvh;
}

.h-50-lvh-min {
    min-height: 50lvh;
}

.h-45-lvh-min {
    min-height: 45lvh;
}

.h-40-lvh-min {
    min-height: 40lvh;
}

.h-35-lvh-min {
    min-height: 35lvh;
}

.h-30-lvh-min {
    min-height: 30lvh;
}

.h-25-lvh-min {
    min-height: 25lvh;
}

.h-20-lvh-min {
    min-height: 20lvh;
}

.h-15-lvh-min {
    min-height: 15lvh;
}

.h-10-lvh-min {
    min-height: 10lvh;
}

.h-0-lvh-min {
    min-height: 0lvh;
}
/*--end--*/

/*--svh--*/
.h-100-svh {
    height: 100svh;
}

.h-95-svh {
    height: 95svh;
}

.h-90-svh {
    height: 90svh;
}

.h-85-svh {
    height: 85svh;
}

.h-80-svh {
    height: 80svh;
}

.h-75-svh {
    height: 75svh;
}

.h-70-svh {
    height: 70svh;
}

.h-65-svh {
    height: 65svh;
}

.h-60-svh {
    height: 60svh;
}

.h-55-svh {
    height: 55svh;
}

.h-50-svh {
    height: 50svh;
}

.h-45-svh {
    height: 45svh;
}

.h-40-svh {
    height: 40svh;
}

.h-35-svh {
    height: 35svh;
}

.h-30-svh {
    height: 30svh;
}

.h-25-svh {
    height: 25svh;
}

.h-20-svh {
    height: 20svh;
}

.h-15-svh {
    height: 15svh;
}

.h-10-svh {
    height: 10svh;
}

.h-0-svh {
    height: 0svh;
}

.h-100-svh-min {
    min-height: 100svh;
}

.h-95-svh-min {
    min-height: 95svh;
}

.h-90-svh-min {
    min-height: 90svh;
}

.h-85-svh-min {
    min-height: 85svh;
}

.h-80-svh-min {
    min-height: 80svh;
}

.h-75-svh-min {
    min-height: 75svh;
}

.h-70-svh-min {
    min-height: 70svh;
}

.h-65-svh-min {
    min-height: 65svh;
}

.h-60-svh-min {
    min-height: 60svh;
}

.h-55-svh-min {
    min-height: 55svh;
}

.h-50-svh-min {
    min-height: 50svh;
}

.h-45-svh-min {
    min-height: 45svh;
}

.h-40-svh-min {
    min-height: 40svh;
}

.h-35-svh-min {
    min-height: 35svh;
}

.h-30-svh-min {
    min-height: 30svh;
}

.h-25-svh-min {
    min-height: 25svh;
}

.h-20-svh-min {
    min-height: 20svh;
}

.h-15-svh-min {
    min-height: 15svh;
}

.h-10-svh-min {
    min-height: 10svh;
}

.h-0-svh-min {
    min-height: 0svh;
}
/*--end--*/

/*--px--*/
.h-300-px {
    height: 300px;
}

.h-290-px {
    height: 290px;
}

.h-280-px {
    height: 280px;
}

.h-275-px {
    height: 275px;
}

.h-270-px {
    height: 270px;
}

.h-260-px {
    height: 260px;
}

.h-250-px {
    height: 250px;
}

.h-240-px {
    height: 240px;
}

.h-230-px {
    height: 230px;
}

.h-225-px {
    height: 225px;
}

.h-220-px {
    height: 220px;
}

.h-210-px {
    height: 210px;
}

.h-200-px {
    height: 200px;
}

.h-190-px {
    height: 190px;
}

.h-180-px {
    height: 180px;
}

.h-175-px {
    height: 175px;
}

.h-170-px {
    height: 170px;
}

.h-160-px {
    height: 160px;
}

.h-150-px {
    height: 150px;
}

.h-140-px {
    height: 140px;
}

.h-130-px {
    height: 130px;
}

.h-125-px {
    height: 125px;
}

.h-120-px {
    height: 120px;
}

.h-110-px {
    height: 110px;
}

.h-100-px {
    height: 100px;
}

.h-90-px {
    height: 90px;
}

.h-80-px {
    height: 80px;
}

.h-75-px {
    height: 75px;
}

.h-70-px {
    height: 70px;
}

.h-60-px {
    height: 60px;
}

.h-50-px {
    height: 50px;
}

.h-40-px {
    height: 40px;
}

.h-39-px {
    height: 39px;
}

.h-38-px {
    height: 38px;
}

.h-37-px {
    height: 37px;
}

.h-36-px {
    height: 36px;
}

.h-35-px {
    height: 35px;
}

.h-34-px {
    height: 34px;
}

.h-33-px {
    height: 33px;
}

.h-32-px {
    height: 32px;
}

.h-31-px {
    height: 31px;
}

.h-30-px {
    height: 30px;
}

.h-25-px {
    height: 25px;
}

.h-20-px {
    height: 20px;
}

.h-10-px {
    height: 10px;
}

.h-0-px {
    height: 0px;
}

.h-300-px-min {
    min-height: 300px;
}

.h-290-px-min {
    min-height: 290px;
}

.h-280-px-min {
    min-height: 280px;
}

.h-275-px-min {
    min-height: 275px;
}

.h-270-px-min {
    min-height: 270px;
}

.h-260-px-min {
    min-height: 260px;
}

.h-250-px-min {
    min-height: 250px;
}

.h-240-px-min {
    min-height: 240px;
}

.h-230-px-min {
    min-height: 230px;
}

.h-225-px-min {
    min-height: 225px;
}

.h-220-px-min {
    min-height: 220px;
}

.h-210-px-min {
    min-height: 210px;
}

.h-200-px-min {
    min-height: 200px;
}

.h-190-px-min {
    min-height: 190px;
}

.h-180-px-min {
    min-height: 180px;
}

.h-175-px-min {
    min-height: 175px;
}

.h-170-px-min {
    min-height: 170px;
}

.h-160-px-min {
    min-height: 160px;
}

.h-150-px-min {
    min-height: 150px;
}

.h-140-px-min {
    min-height: 140px;
}

.h-130-px-min {
    min-height: 130px;
}

.h-125-px-min {
    min-height: 125px;
}

.h-120-px-min {
    min-height: 120px;
}

.h-110-px-min {
    min-height: 110px;
}

.h-100-px-min {
    min-height: 100px;
}

.h-90-px-min {
    min-height: 90px;
}

.h-80-px-min {
    min-height: 80px;
}

.h-75-px-min {
    min-height: 75px;
}

.h-70-px-min {
    min-height: 70px;
}

.h-60-px-min {
    min-height: 60px;
}

.h-50-px-min {
    min-height: 50px;
}

.h-40-px-min {
    min-height: 40px;
}

.h-39-px-min {
    min-height: 39px;
}

.h-38-px-min {
    min-height: 38px;
}

.h-37-px-min {
    min-height: 37px;
}

.h-36-px-min {
    min-height: 36px;
}

.h-35-px-min {
    min-height: 35px;
}

.h-34-px-min {
    min-height: 34px;
}

.h-33-px-min {
    min-height: 33px;
}

.h-32-px-min {
    min-height: 32px;
}

.h-31-px-min {
    min-height: 31px;
}

.h-30-px-min {
    min-height: 30px;
}

.h-25-px-min {
    min-height: 25px;
}

.h-20-px-min {
    min-height: 20px;
}

.h-10-px-min {
    min-height: 10px;
}

.h-0-px-min {
    min-height: 0px;
}
/*--end--*/

/*--custom--*/
.h-1000-px {
    height: 1000px;
}

.h-500-px {
    height: 500px;
}

.h-350-px {
    height: 350px;
}
